# std::swap(std::promise)

From cppreference.com
< cpp‎ | thread‎ | promise

Defined in header `<future>` |  |
template< class R > void swap( promise<R> &lhs, promise<R> &rhs ); |  | (since C++11)

Specializes the std::swap algorithm for std::promise. Exchanges the shared state of `lhs` with that of `rhs`. Effectively calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | promises whose states to swap

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

### See also

swap | swaps two promise objects (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/promise/swap2&oldid=91646"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template